package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.enums.DeviceDeliveryStatusEnum;
import com.qmth.sop.common.enums.DeviceStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class DeviceSignResult implements Serializable {

    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty("派单号")
    private String crmNo;

    @ApiModelProperty("设备序列号")
    private String serialNo;

    @ApiModelProperty("设备型号")
    private String model;

    @ApiModelProperty("设备状态")
    private DeviceStatusEnum deviceStatus;

    @ApiModelProperty("设备归属")
    private String supplierName;

    @ApiModelProperty("出库快递单号")
    private String expressNo;

    @ApiModelProperty("状态")
    private DeviceDeliveryStatusEnum status;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public String getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public DeviceStatusEnum getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(DeviceStatusEnum deviceStatus) {
        this.deviceStatus = deviceStatus;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getExpressNo() {
        return expressNo;
    }

    public void setExpressNo(String expressNo) {
        this.expressNo = expressNo;
    }

    public DeviceDeliveryStatusEnum getStatus() {
        return status;
    }

    public void setStatus(DeviceDeliveryStatusEnum status) {
        this.status = status;
    }
}
